Bug 837144 - Xorg stuck at 100% CPU in select() => EBADF loop
Xorg stuck at 100% CPU in select() => EBADF loop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 20:53 EDT by Roland Pallai
Modified: 2013-08-01 09:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:38:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsof.log (10.47 KB, text/x-log)
2012-07-02 20:53 EDT, Roland Pallai
no flags Details
Xorg.0.log (47.51 KB, text/x-log)
2012-07-02 20:55 EDT, Roland Pallai
no flags Details

  None (edit)
Description Roland Pallai 2012-07-02 20:53:06 EDT
Created attachment 595845 [details]
lsof.log

Description of problem:
The X server stucked on simple volume adjustment via multimedia key on Gnome3: the mouse pointer still moving, but screen updates are stopped (conky, etc).

I can switch VT, the host is OK. The Xorg process eats 100% cpu in 'top'. Nothing interesting in dmesg.

Version-Release number of selected component (if applicable):
kernel-3.4.4-3.fc17.x86_64
xorg-x11-drv-evdev-2.7.0-2.fc17.x86_64
xorg-x11-drv-intel-2.19.0-5.fc17.x86_64
xorg-x11-server-Xorg-1.12.2-3.fc17.x86_64
mesa-dri-drivers-8.0.3-1.fc17.x86_64
(Upgraded and rebooted just today.)

How reproducible:
Hardly.

Additional info:
It is same bug as "#831267 Xorg stuck at 100%, infinite select() loop". That has been closed as CANTFIX due to the nvidia driver, but this time happened on intel (Ivy Bridge HD4000), no binary blob involved. Seems like it's video driver independent.

Xorg GDB backtrace:
#0  0x00000033740eace3 in __select_nocancel () from /lib64/libc.so.6
#1  0x00000000004668cb in CheckConnections ()
#2  0x0000000000462dbd in WaitForSomething ()
#3  0x0000000000434111 in ?? ()
#4  0x0000000000423485 in ?? ()
#5  0x0000003374021735 in __libc_start_main () from /lib64/libc.so.6
#6  0x000000000042375d in _start ()

# strace -p `pidof xorg`:
Process 2204 attached
02:24:40 select(29, [28], NULL, NULL, {0, 0}) = 0 (Timeout)
02:24:40 ioctl(8, 0x6458, 0)            = 0
02:24:40 select(256, [1 3 8 10 28], [49 51 52 53 54 55 56 57 60 62 63 66 69], NULL, {7, 354000}) = -1 EBADF (Bad file descriptor)
02:24:40 select(29, [28], NULL, NULL, {0, 0}) = 0 (Timeout)
02:24:40 ioctl(8, 0x6458, 0)            = 0
02:24:40 select(256, [1 3 8 10 28], [49 51 52 53 54 55 56 57 60 62 63 66 69], NULL, {7, 354000}) = -1 EBADF (Bad file descriptor)
02:24:40 select(29, [28], NULL, NULL, {0, 0}) = 0 (Timeout)
02:24:40 ioctl(8, 0x6458, 0)            = 0
[loops over and over; many thousand lines/second]

'lsof' and Xorg.0.log attached.
Comment 1 Roland Pallai 2012-07-02 20:55:08 EDT
Created attachment 595846 [details]
Xorg.0.log
Comment 2 Roland Pallai 2012-09-29 13:12:50 EDT
I'm using a patched Xorg server for a while and seems like it's fixed the problem. The patch is at http://lists.x.org/archives/xorg-devel/2011-October/026022.html

I did hit this problem about 2 times in a week before the patch but not in the past 2 months. I'm not following xorg-x11-server-Xorg package updates from Fedora from 1.12.2-3.fc17, maybe it's quietly fixed in Fedora too.

The patch not merged into mainline (http://cgit.freedesktop.org/xorg/xserver/tree/os/connection.c#n967), but may be worth to examine by experts. Unfortunately I can't play with this bug to find what setup is OK/not-OK; I need a stable X for my work and now I have it.
Comment 3 Paulo Castro 2013-03-12 09:17:26 EDT
Hi all.

I was bitten exactly by the same issue yesterday...

xorg-x11-drv-evdev-2.7.3-5.fc17.x86_64
xorg-x11-drv-intel-2.21.2-1.fc17.x86_64
xorg-x11-server-Xorg-1.12.4-2.fc17.x86_64
mesa-dri-drivers-8.0.4-1.fc17.x86_64
Comment 4 Roland Pallai 2013-03-20 18:54:40 EDT
Paulo,

I'm using f18 without problems for months, seems like it's fixed in 18. Try to upgrade.
Comment 5 Fedora End Of Life 2013-07-04 00:27:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 09:39:14 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.